## gnumach 1.4

=== debian/changelog ===
gnumach (2:1.4-12) unstable; urgency=medium

  * rules: Rebuild info documentation once (in the source tree) before building
    all variants in parallel. Closes: Bug#756909.
  * patches/git-vm-tune.patch: New patch that tunes VM parameters.
  * patches/git-vm_map.patch: New patch to fix vm_map with anywhere=true.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 06 Sep 2014 10:37:40 +0000

gnumach (2:1.4-11) unstable; urgency=medium

  * patches/git-halt.patch: Add ACPI powerdown support.
  * patches/git-xen_races.patch: New patch to fix race conditions, notably in
    disk writes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Jul 2014 17:05:41 +0000

gnumach (2:1.4-10) unstable; urgency=medium

  * patches/git-notify_translatable{,2}.patch: New patch to make notify
    functions mutable.
  * patches/git-device_translatable.patch: New patch to make device
    functions mutable.
  * patches/git-memory_object_translatable2.patch: Fix memory object reference
    leak.
  * patches/git-mach_debug{,2}.patch: Install mach_debug defs files.
  * patches/90-fix_headers.patch: Remove, replaced by patch above.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 May 2014 20:06:12 +0000

gnumach (2:1.4-9) unstable; urgency=medium

  * patches/git-memory_object_translatable.patch: New patch to make memory
    object types translation functions mutable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Mar 2014 09:59:55 +0000

gnumach (2:1.4-8) unstable; urgency=medium

  * patches/git-physical-access.patch: Fix overflow brought by patch.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Mar 2014 15:05:11 +0000

gnumach (2:1.4-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/git-physical-access.patch: New patch, fixes access to physical
    pages beyond last_phys_addr.
  * patches/git-task_set_name.patch: New patch from git to add task_set_name
    RPC.
  * patches/90-fix_headers.patch: New patch to fix gnumach.defs build.
  * rules: Remove generated doc files.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Mar 2014 02:26:40 +0000

gnumach (2:1.4-6) unstable; urgency=medium

  * Re-enable patches/git-kentry_data_size.patch, but with an additional
    change to reduce KMEM_MAP_SIZE by 32MiB to make room for that.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Feb 2014 23:47:14 +0000

gnumach (2:1.4-5) unstable; urgency=medium

  * Disable patches/git-kentry_data_size.patch for now, it breaks d-i boot for
    some reason.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Feb 2014 23:10:46 +0000

gnumach (2:1.4-4) unstable; urgency=medium

  * patches/git-quiet-cd-floppy.patch: New patch to quiet down CD and floppy
    sense errors.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Feb 2014 00:21:43 +0000

gnumach (2:1.4-3) unstable; urgency=medium

  * patches/{kentry_data_size,thread_terminate_release,
    xen_clock_overflow}.patch: Add "git-" prefix to patch name.
  * patches/git-cursor_init.patch: New patch to make sure cursor is
    initialized.
  * patches/git-coverity-fixes.patch: New patch to fix several issues found by
    Coverity.
  * patches/git-mig-inlines.patch: New patch to inline MIG-generated demuxers.
  * control: Bump mig version dependency to get inlined MIG demuxers.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 05 Feb 2014 11:47:53 +0000

gnumach (2:1.4-2) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.5 (no changes).
  * patches/kentry_data_size.patch: New patch to increase KENTRY_DATA_SIZE.
  * patches/thread_terminate_release.patch: New patch to add
    thread_terminate_release RPC.
  * patches/xen_clock_overflow.patch: New patch to fix Xen clock computation.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Jan 2014 16:54:11 +0000

gnumach (2:1.4-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.
    - Rename packages from 1.3.99 to 1.4.
    - patches/00_clean_gfdl.patch: Drop, upstream documentation does not have
      invariant sections any more.
    - rules: Install documentation.
    - control: Depend on texinfo.
  * Bump Standards-Version to 3.9.4 (no changes).
  * patches/70_dde.patch: Fix experimental.defs creation.
  * patches/80_missing_files.patch: Add missing files from git.

  [ Pino Toscano ]
  * Update Vcs-* headers.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Sep 2013 12:10:13 +0000

gnumach (2:1.3.99.dfsg.git20130624-1) unstable; urgency=low

  * New upstream snapshot
    - Fix partitioning reloading.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Jun 2013 15:22:49 +0200

gnumach (2:1.3.99.dfsg.git20130610-1) unstable; urgency=low

  * New upstream snapshot
    - Adds non-contiguous memory maps support.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Jun 2013 00:46:11 +0000

gnumach (2:1.3.99.dfsg.git20130510-1) unstable; urgency=low

  * New upstream snapshot.
    - Adds AHCI support.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 May 2013 22:29:22 +0000

gnumach (2:1.3.99.dfsg.git20130501-1) unstable; urgency=low

  * New upstream snapshot
  * Fixes grave issues with grub-probe/update-grub/reconfigure gnumach-image.
  * rules: Do not pass -fno-omit-frame-pointer for -dbg builds ourselves,
    upstream is now doing it.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 May 2013 23:25:29 +0000

gnumach (2:1.3.99.dfsg.git20130311-1) unstable; urgency=low

  * New upstream snapshot.
    - patches/20_slow-boot.patch: Remove, merged upstream.
    - patches/60_bigmem.patch: Refresh.
  * control: Make gnumach-dev multi-arch:same.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Mar 2013 23:52:47 +0000

gnumach (2:1.3.99.dfsg.git20121227-2) unstable; urgency=low

  * patches/20_slow-boot.patch: Cherry-pick from upstream to fix slow boot in
    virtualbox.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Dec 2012 21:58:55 +0000


