## gnumach 1.8%2Bgit20250731

=== debian/control ===
Source: gnumach
Section: kernel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: https://www.gnu.org/software/hurd/microkernel/mach/gnumach.html
Vcs-Browser: https://salsa.debian.org/hurd-team/gnumach
Vcs-Git: https://salsa.debian.org/hurd-team/gnumach.git
Build-Depends: debhelper-compat (= 13), mig-for-host (>= 1.8+git20231217~) <!stage1>, sharutils,
 autoconf, automake, texinfo,
 parallel [i386 amd64] <!nocheck>,
 qemu-system-i386 [i386] <!nocheck>, qemu-system-amd64 [amd64] <!nocheck>,
 grub-pc-bin [any-i386 any-amd64] <!nocheck>, grub-common [any-i386 any-amd64] <!nocheck>, xorriso [any-i386 any-amd64] <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
#Note: XXX this file is generated from .in files, see debian/rules

Package: gnumach-image-1-486
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-image-1.8-486-up
Description: GNU version of the Mach microkernel
 This package depends on the latest GNU Mach kernel for use on PCs
 with a 486, Pentium or compatible processor.

Package: gnumach-image-1-amd64
Architecture: any-amd64
Multi-Arch: foreign
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-image-1.8-amd64-up
Description: GNU version of the Mach microkernel
 This package depends on the latest GNU Mach kernel for use on PCs
 with an AMD 64 or Intel 64 compatible processor.

Package: gnumach-image-1-xen-486
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-image-1.8-xen-486
Description: GNU version of the Mach microkernel for Xen
 This package depends on the latest GNU Mach kernel for use on PCs
 with a 486, Pentium or compatible processor.
 .
 This kernel is for use in unprivileged (domU) Xen domains.

Package: gnumach-image-1-486-pae
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nopae !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-image-1.8-486-pae
Description: GNU version of the Mach microkernel with PAE
 This package depends on the latest GNU Mach kernel for use on PCs
 with a 486, Pentium or compatible processor.
 .
 This kernel is for use with PAE support for more than 4G physical
 addressing space access.

Package: gnumach-image-1-486-smp
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nosmp !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-image-1.8-486-smp
Description: GNU version of the Mach microkernel with SMP
 This package depends on the latest GNU Mach kernel for use on PCs
 with a 486, Pentium or compatible processor.
 .
 This kernel is for use with multiprocessor support.

Package: gnumach-image-1-xen-amd64
Architecture: any-amd64
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-image-1.8-xen-amd64
Description: GNU version of the Mach microkernel for Xen
 This package depends on the latest GNU Mach kernel for use on PCs
 with an AMD 64 or Intel 64 compatible processor.
 .
 This kernel is for use in unprivileged (domU) Xen domains.

Package: gnumach-image-1.8-486-up
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image, gnumach-image-1.8-486 (= ${binary:Version})
Conflicts: gnumach-image-1.8-486
Replaces: gnumach-image-1.8-486
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), hurd-libs0.3 (<< 1:0.9.git20200718-1+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-5)
Description: GNU version of the Mach microkernel
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with a 486, Pentium or compatible processor.
 .
 This kernel is for use with uniprocessor support.

Package: gnumach-image-1.8-amd64-up
Architecture: any-amd64
Multi-Arch: foreign
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image
Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20250420-2), hurd-libs0.3 (<< 1:0.9.git20200718-1+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-12+bin1)
Description: GNU version of the Mach microkernel
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with an AMD 64 or Intel 64 compatible processor.
 .
 This kernel is for use with uniprocessor support.

Package: gnumach-image-1.8-xen-486
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
Description: GNU version of the Mach microkernel for Xen
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with a 486, Pentium or compatible processor.
 .
 The version in this package is compiled with Xen support.

Package: gnumach-image-1.8-486-pae
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nopae !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), hurd-libs0.3 (<< 1:0.9.git20200718-1+b1), netdde (<< 0.0.20200330-5)
Description: GNU version of the Mach microkernel with PAE
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with a 486, Pentium or compatible processor.
 .
 This kernel is for use with PAE support for more than 4G physical
 addressing space access.

Package: gnumach-image-1.8-486-smp
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nosmp !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), hurd-libs0.3 (<< 1:0.9.git20200718-1+b1), netdde (<< 0.0.20200330-5)
Description: GNU version of the Mach microkernel with SMP
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with a 486, Pentium or compatible processor.
 .
 This kernel is for use with multiprocessor support (VERY EXPERIMENTAL)

Package: gnumach-image-1.8-xen-amd64
Architecture: any-amd64
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image
Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20250420-2)
Description: GNU version of the Mach microkernel for Xen
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with an AMD 64 or Intel 64 compatible processor.
 .
 The version in this package is compiled with Xen support.

Package: kernel-image-1.8-486-di
XB-Kernel-Version: 1.8-486
Package-Type: udeb
Provides: kernel-image, floppy-modules, ide-modules, input-modules, scsi-modules, serial-modules
Section: debian-installer
Architecture: hurd-i386
Build-Profiles: <!stage1 !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, hurd-udeb
Description: GNU version of the Mach microkernel for the Debian installer
 This is the Utah Mach microkernel used by the Hurd for the Debian
 Installer boot images. It does _not_ provide a usable kernel for
 your full Debian system.

Package: kernel-image-1.8-amd64-di
XB-Kernel-Version: 1.8-amd64
Package-Type: udeb
Provides: kernel-image, floppy-modules, ide-modules, input-modules, scsi-modules, serial-modules
Section: debian-installer
Architecture: hurd-amd64
Build-Profiles: <!stage1 !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, hurd-udeb
Description: GNU version of the Mach microkernel for the Debian installer
 This is the Utah Mach microkernel used by the Hurd for the Debian
 Installer boot images. It does _not_ provide a usable kernel for
 your full Debian system.

Package: kernel-image-1.8-xen-486-di
XB-Kernel-Version: 1.8-xen-486
Package-Type: udeb
Provides: kernel-image, input-modules
Section: debian-installer
Architecture: hurd-i386 hurd-amd64
Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, hurd-udeb
Description: GNU version of the Mach microkernel for the Debian installer
 This is the Utah Mach microkernel used by the Hurd for the Debian
 Installer boot images. It does _not_ provide a usable kernel for
 your full Debian system.

Package: kernel-image-1.8-xen-amd64-di
XB-Kernel-Version: 1.8-xen-amd64
Package-Type: udeb
Provides: kernel-image, input-modules
Section: debian-installer
Architecture: hurd-amd64
Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, hurd-udeb
Description: GNU version of the Mach microkernel for the Debian installer
 This is the Utah Mach microkernel used by the Hurd for the Debian
 Installer boot images. It does _not_ provide a usable kernel for
 your full Debian system.

Package: gnumach-image-1.8-486-up-dbg
Section: debug
Provides: gnumach, gnumach-image-1.8-486-dbg (= ${binary:Version})
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nodbg>
Depends: ${misc:Depends}, gnumach-common
Conflicts: gnumach-image-1.8-486-dbg
Replaces: gnumach-image-1.8-486-dbg
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), hurd-libs0.3 (<< 1:0.9.git20200718-1+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-5)
Description: GNU version of the Mach microkernel for debugging
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with a 486, Pentium or compatible processor.
 .
 The version in this package is identical to the version found in the
 gnumach package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-image-1.8-amd64-up-dbg
Section: debug
Provides: gnumach
Architecture: any-amd64
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nodbg>
Depends: ${misc:Depends}, gnumach-common
Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20250420-2), hurd-libs0.3 (<< 1:0.9.git20200718-1+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-12+bin1)
Description: GNU version of the Mach microkernel for debugging
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with an AMD 64 or Intel 64 compatible processor.
 .
 The version in this package is identical to the version found in the
 gnumach package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-image-1.8-xen-486-dbg
Section: debug
Provides: gnumach
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nodbg !pkg.gnumach.noxen !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-common
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
Description: GNU version of the Mach microkernel for Xen for debugging
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with a 486, Pentium or compatible processor.
 .
 The version in this package is identical to the version found in the
 gnumach-xen package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-image-1.8-486-pae-dbg
Section: debug
Provides: gnumach
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nodbg !pkg.gnumach.nopae !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-common
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), hurd-libs0.3 (<< 1:0.9.git20200718-1+b1), netdde (<< 0.0.20200330-5)
Description: GNU version of the Mach microkernel with PAE for debugging
 This is the Utah Mach microkernel used by the Hurd for use on PCs
 with a 486, Pentium or compatible processor.
 .
 The version in this package is identical to the version found in the
 gnumach-pae package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-image-1.8-486-smp-dbg
Section: debug
Provides: gnumach
Architecture: any-i386
Multi-Arch: foreign
Build-Profiles: <!stage1 !pkg.gnumach.nodbg !pkg.gnumach.nosmp !pkg.gnumach.onlyup>
Depends: ${misc:Depends}, gnumach-common
