## gnumach 1.8%2Bgit20260129

=== debian/changelog ===
gnumach (2:1.8+git20260129-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-vm_page: Upstreamed.
    - patches/git-vm_page_order: Upstreamed.
    - patches/git-vm_page_print: Upstreamed.
    - patches/git-vm_page_nodefpager: Upstreamed.
    - patches/git-size_limit: Upstreamed.
    - patches/git-cswitch-x86_64: Upstreamed.
    - patches/git-apic-setup: Upstreamed.
    - patches/git-smp-lock: Upstreamed.

  [ Damien Zammit ]
  * patches/git-cswitch-x86_64: x86_64/cswitch: Don't clobber %rax with cpu
    number.
  * patches/git-apic-setup: Add apic setup only when APIC is set.

  [ Mike Kelly ]
  * patches/git-smp-lock: Fix mach_port_set_ktype deadlock in SMP kernels.

  [ Samuel Thibault ]
  * tests/control: Also test 486-smp kernel.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Jan 2026 01:57:56 +0100

gnumach (2:1.8+git20251228-2) unstable; urgency=medium

  [ Mike Kelly ]
  * patches/git-vm_page_order: eviction policy now prioritises page activity
    over page backing storage type.
  * patches/git-vm_page_print: db_show_vmstat now shows external and internal
    parts of page activity totals.
  * patches/git-vm_page_nodefpager: vm_page: page eviction now operates
    correctly without a default pager.

  [ Samuel Thibault ]
  * rules: No need to specify --enable-apic for smp any more, it is already the
    default.
  * patches/git-size_limit: raise default memory limit to the physical memory
    size.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Jan 2026 01:16:18 +0100

gnumach (2:1.8+git20251228-1) unstable; urgency=medium

  * New upstream snapshot. Adds support for RLIMIT_AS
    - control: Break hurd package without RLIMIT_AS support.
    - patches/git-clock-backward: Upstreamed.
    - patches/git-div0: Upstreamed.
    - patches/git-irq_status: Upstreamed.
    - patches/git-mach_port_set_ktype: Upstreamed.
    - patches/git-set-size-limit: Upstreamed.
    - patches/git-set_timeout: Upstreamed.
    - patches/git-smp-nolinux-apic: Upstreamed.
    - patches/git-x86_64-linux-apic: Upstreamed.
    - patches/git-xen-noapic: Upstreamed.
    - patches/git-vm_page: Fix build without kdb.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Dec 2025 18:15:15 +0100

gnumach (2:1.8+git20250731-8) unstable; urgency=medium

  * patches/79_dde-debian.patch: Drop elder patch.
    - control: Break elder packages accordingly.
  * patches/git-irq_status: Add irq status support.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Oct 2025 02:14:04 +0200

gnumach (2:1.8+git20250731-7) unstable; urgency=medium

  * patches/git-set-size-limit: Fix build.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Sep 2025 09:42:53 +0200

gnumach (2:1.8+git20250731-6) unstable; urgency=medium

  * patches/git-set_timeout: Fix early wake-up.
  * patches/git-clock-backward: Fix clock sometime showing up backwards.
  * patches/git-set-size-limit: Expose per-task virtual memory limit.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Sep 2025 09:24:52 +0200

gnumach (2:1.8+git20250731-5) unstable; urgency=medium

  * patches/git-mach_port_set_ktype: Add mach_port_set_ktype RPC.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Aug 2025 23:39:02 +0200

gnumach (2:1.8+git20250731-4) unstable; urgency=medium

  * patches/git-div0: Fix division by zero trap on amd64.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Aug 2025 02:38:09 +0200

gnumach (2:1.8+git20250731-3) unstable; urgency=medium

  * patches/git-xen-noapic: xen: Disable apic.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Aug 2025 10:59:42 +0200

gnumach (2:1.8+git20250731-2) unstable; urgency=medium

  * patches/git-x86_64-linux-apic: x86_64: disable linux groups early
    So we enable APIC by default.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Aug 2025 09:51:59 +0200

gnumach (2:1.8+git20250731-1) unstable; urgency=medium

  * New upstream snapshot.
  * rules: Fix pkg.gnumach.nodbg profile.
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.
  * patches/git-smp-nolinux-apic: smp: Fix build with default parameters.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Aug 2025 02:11:24 +0200

gnumach (2:1.8+git20250702-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
    - patches/git-mxcsr: Upstramed.
    - patches/git-fpu-387: Upstramed.
    - patches/git-fpu-fxsr-tag: Upstramed.
    - patches/git-fp_xsave_size: Upstramed.
    - patches/git-hpet: Upstramed.
    - patches/git-i386: Upstramed.
    - patches/git-hpet-xen: Upstramed.
    - patches/git-autopkgtest: Upstramed.
    - patches/git-CSI: Upstramed.
    - patches/git-pageout: Upstramed.
    - patches/git-vm-privilege: Upstramed.

  [ Michael Banck ]
  * control: Fix short package description.

  [ Samuel Thibault ]
  * control: On amd64, break package versions which did not cope with the 64b
    mig change.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jul 2025 02:16:22 +0200

gnumach (2:1.8+git20250304-7) unstable; urgency=medium

  * tests/control: Add dumb test on arm64.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jun 2025 01:35:59 +0200

gnumach (2:1.8+git20250304-6) unstable; urgency=medium

  * patches/git-vm-privilege: Make all rumpdisk threads get vm_privilege.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Jun 2025 23:09:34 +0200

gnumach (2:1.8+git20250304-5) unstable; urgency=medium

  * patches/git-swap: Fix paging out internal objects.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jun 2025 23:27:41 +0200

gnumach (2:1.8+git20250304-4) unstable; urgency=medium

  * patches/git-hpet: Use HPET.
  * patches/git-hpet-xen: Add HPET in Xen.
  * patches/git-i386: Do not use i386 write protection workaround on amd64.
  * patches/git-CSI: Discard unsupported ansi sequences.
  * patches/git-autopkgtest: Let user specify a kernel to test.
  * tests/{control,check}: Run testsuite in autopkgtest.


