## gnumach 1.8+git20170102

=== debian/control ===
Source: gnumach
Section: kernel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/microkernel/mach/gnumach.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-hurd/gnumach.git
Vcs-Git: git://anonscm.debian.org/pkg-hurd/gnumach.git
Build-Depends: debhelper (>= 9.20141010), mig (>= 1.6+git20160502-1~) <!stage1>, sharutils,
 autoconf, automake, texinfo, dpkg-dev (>= 1.17.14)
Standards-Version: 3.9.8

Package: gnumach
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-image-1-486
Breaks: grub-pc (<< 1.98+20100527-1)
Description: Dummy transition package for gnumach-image-*
 This is a dummy package to ease the transition to gnumach-image-*
 package names.  It can be purged safely after upgrade.

Package: gnumach-dbg
Section: debug
Priority: extra
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-image-1.8-486-dbg
Breaks: grub-pc (<< 1.98+20100527-1)
Description: Dummy transition package for gnumach-image-*-dbg
 This is a dummy package to ease the transition to gnumach-image-*dbg
 package names.  It can be purged safely after upgrade.

Package: gnumach-image-1-486
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-image-1.8-486
Description: GNU version of the Mach microkernel
 This package depends on the latest GNU Mach kernel for use on PCs
 with a 486, Pentium or compatible processor.

Package: gnumach-image-1-xen-486
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-image-1.8-xen-486
Description: GNU version of the Mach microkernel
 This package depends on the latest GNU Mach kernel for use on PCs
 with a 486, Pentium or compatible processor.
 .
 This kernel is for use in unprivileged (domU) Xen domains.

Package: gnumach-image-1.8-486
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), xserver-xorg-core (<< 2:1.9.99.1~)
Description: GNU version of the Mach microkernel
 This is the Utah Mach microkernel used by the Hurd.

Package: gnumach-image-1.8-xen-486
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-common
Provides: gnumach-image
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
Description: GNU version of the Mach microkernel for Xen
 This is the Utah Mach microkernel used by the Hurd.
 .
 The version in this package is compiled with Xen support.

Package: kernel-image-1.8-486-di
XB-Kernel-Version: 1.8-486
Package-Type: udeb
Provides: kernel-image, floppy-modules, ide-modules, input-modules, scsi-modules, serial-modules
Section: debian-installer
Architecture: hurd-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, hurd-udeb
Description: GNU version of the Mach microkernel for the Debian installer
 This is the Utah Mach microkernel used by the Hurd for the Debian
 Installer boot images. It does _not_ provide a usable kernel for
 your full Debian system.

Package: kernel-image-1.8-xen-486-di
XB-Kernel-Version: 1.8-xen-486
Package-Type: udeb
Provides: kernel-image, input-modules
Section: debian-installer
Architecture: hurd-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, hurd-udeb
Description: GNU version of the Mach microkernel for the Debian installer
 This is the Utah Mach microkernel used by the Hurd for the Debian
 Installer boot images. It does _not_ provide a usable kernel for
 your full Debian system.

Package: gnumach-image-1.8-486-dbg
Section: debug
Priority: extra
Provides: gnumach
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-common
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), xserver-xorg-core (<< 2:1.9.99.1~)
Description: GNU version of the Mach microkernel for debugging
 This is the Utah Mach microkernel used by the Hurd.
 .
 The version in this package is identical to the version found in the
 gnumach package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-image-1.8-xen-486-dbg
Section: debug
Priority: extra
Provides: gnumach
Architecture: any-i386
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, gnumach-common
Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
Description: GNU version of the Mach microkernel for Xen for debugging
 This is the Utah Mach microkernel used by the Hurd.
 .
 The version in this package is identical to the version found in the
 gnumach-xen package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-common
Section: devel
Architecture: all
Build-Profiles: <!stage1>
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: gnumach (<< 2:1.3.99.dfsg.git20110227-1)
Breaks: gnumach (<< 2:1.3.99.dfsg.git20110227-1)
Description: GNU version of the Mach microkernel, common files.
 These are common files along the Utah Mach microkernel used by the Hurd.
 .
 It notably provides useful messages IDs for rpctrace.

Package: gnumach-dev
Section: devel
Architecture: any-i386
Multi-Arch: same
Depends: ${misc:Depends}
Description: GNU version of the Mach microkernel
 These are the header files for the Utah Mach microkernel used by the Hurd.
