=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,18 @@
 FULL_VERSION     := $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
 NOEPOCH_VERSION  := $(shell echo $(FULL_VERSION) | sed -e 's/.*://g')
 TAR_VERSION      := $(shell echo $(NOEPOCH_VERSION) | sed -e 's/-.*//g')
-VERSION          := $(shell echo $(TAR_VERSION) | sed -e 's/\.dfsg.*//g')
+UPSTREAM_VERSION := $(shell echo $(TAR_VERSION) | sed -e 's/\.dfsg.*//g')
+NOGIT_VERSION    := $(shell echo $(UPSTREAM_VERSION) | sed -e 's/+git[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]//g')
 MAJOR            := $(shell echo $(VERSION) | sed -e 's/\..*//g')
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
+ifeq (,$(filter custom,$(DEB_BUILD_OPTIONS)))
+CUSTOM :=
+VERSION := $(NOGIT_VERSION)
+else
+CUSTOM := .custom.$(shell date +'%Y%m%d')
+VERSION := $(NOEPOCH_VERSION)$(CUSTOM)
+endif
 
 MACHINE         := 486
 
@@ -33,7 +41,8 @@
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
-CFLAGS = -Wall -g -pipe -fno-strict-aliasing
+CFLAGS = -Wall -g -pipe -fno-strict-aliasing -no-pie -fno-PIE -fno-pie
+LDFLAGS = -no-pie
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -59,6 +68,16 @@
 		--disable-pcmcia-group \
 		--disable-wireless-group
 
+debian/control: debian/control.stamp
+debian/control.stamp: debian/control.in
+ifneq (,$(filter custom,$(DEB_BUILD_OPTIONS)))
+	@echo Building a custom kernel: "$(VERSION)"
+else
+	@echo Building a stock kernel: "$(VERSION)"
+endif
+	sed -e 's/@version@/$(VERSION)/g' < $< > debian/control
+	touch $@
+
 configure: configure.ac
 	autoreconf -fi
 
@@ -66,16 +85,18 @@
 	dh_testdir
 	
 	-mkdir build
-	cd build && PACKAGE_VERSION_SUFFIX=-486 ../configure $(drivers) \
-		CFLAGS="$(CFLAGS)" \
+	cd build && PACKAGE_VERSION_SUFFIX=$(CUSTOM)-486 ../configure $(drivers) \
+		CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
 		$(common_configure)
 
 build-xen/config.status: configure
 	dh_testdir
 	
 	-mkdir build-xen
-	cd build-xen && PACKAGE_VERSION_SUFFIX=-xen-486 ../configure \
-		CFLAGS="$(CFLAGS)" \
+	cd build-xen && PACKAGE_VERSION_SUFFIX=$(CUSTOM)-xen-486 ../configure \
+		CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
 		$(common_configure) \
 		--enable-platform=xen
 
@@ -83,18 +104,26 @@
 	dh_testdir
 	
 	-mkdir build-dbg
-	cd build-dbg && PACKAGE_VERSION_SUFFIX=-486-dbg ../configure --enable-kdb $(drivers) \
+	cd build-dbg && PACKAGE_VERSION_SUFFIX=$(CUSTOM)-486-dbg ../configure --enable-kdb $(drivers) \
+		CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
 		$(common_configure) \
 
 build-xen-dbg/config.status: configure
 	dh_testdir
 	
 	-mkdir build-xen-dbg
-	cd build-xen-dbg && PACKAGE_VERSION_SUFFIX=-xen-486-dbg ../configure --enable-kdb \
+	cd build-xen-dbg && PACKAGE_VERSION_SUFFIX=$(CUSTOM)-xen-486-dbg ../configure --enable-kdb \
+		CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
 		$(common_configure) \
 		--enable-platform=xen
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 build-arch: build/stamp build-xen/stamp build-dbg/stamp build-xen-dbg/stamp
+else
+build-arch: build/config.status
+endif
 build-indep: build-arch
 build: build-arch build-indep
 
@@ -144,6 +173,8 @@
 
 clean:
 	dh_testdir
+
+	rm -f debian/control.stamp
 	
 	rm -f machine
 	rm -rf build build-xen build-dbg build-xen-dbg $(D_UDEB) $(D_XEN_UDEB) $(D_XEN) $(D_DBG) $(D_XEN_DBG)
@@ -168,6 +199,7 @@
 	-rm -rf $(D_DBG)
 	dh_installdirs -a
 	
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	$(MAKE) -C build install \
 		DESTDIR=$(D)
 	
@@ -201,10 +233,14 @@
 		done ; \
 	done
 endif
+else
+	$(MAKE) -C build install-data \
+		DESTDIR=$(D)
+endif
 
 binary: binary-indep binary-arch
 
-binary-indep: install
+binary-indep: install debian/control.stamp
 	dh_testdir
 	dh_testroot
 	
@@ -221,16 +257,24 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary-arch: install
+binary-arch: install debian/control.stamp
 	dh_testdir
 	dh_testroot
 	
 	dh_install -a -N$(pkg_udeb) -N$(pkg_xen) -N$(pkg_xen_udeb) -N$(pkg_dbg) -N$(pkg_xen_dbg) --sourcedir=$(D)
-	dh_install -p$(pkg_udeb) --sourcedir=$(D_UDEB)
-	dh_install -p$(pkg_xen) --sourcedir=$(D_XEN)
-	dh_install -p$(pkg_xen_udeb) --sourcedir=$(D_XEN_UDEB)
-	dh_install -p$(pkg_dbg) --sourcedir=$(D_DBG)
-	dh_install -p$(pkg_xen_dbg) --sourcedir=$(D_XEN_DBG)
+	dh_install -p$(pkg) --sourcedir=$(D) boot
+	dh_install -p$(pkg_xen) --sourcedir=$(D_XEN) boot
+ifeq ($(DEB_HOST_ARCH_OS),hurd)
+	dh_install -p$(pkg_udeb) --sourcedir=$(D_UDEB) boot
+	dh_install -p$(pkg_xen_udeb) --sourcedir=$(D_XEN_UDEB) boot
+endif
+	dh_install -p$(pkg_dbg) --sourcedir=$(D_DBG) boot
+	dh_install -p$(pkg_xen_dbg) --sourcedir=$(D_XEN_DBG) boot
+	
+	dh_installdocs -p$(pkg) README NEWS i386/README-Drivers
+	dh_installdocs -p$(pkg_xen) README NEWS
+	dh_installdocs -p$(pkg_dbg) README NEWS i386/README-Drivers
+	dh_installdocs -p$(pkg_xen_dbg) README NEWS
 	
 	dh_installdocs -a
 	dh_installchangelogs -a -k ChangeLog
@@ -238,18 +282,11 @@
 	dh_link -a
 	dh_strip -a -N$(pkg_dbg) -N$(pkg_xen_dbg)
 	dh_compress -a -N$(pkg) -N$(pkg_udeb) -N$(pkg_xen) -N$(pkg_xen_udeb) -N$(pkg_dbg) -N$(pkg_xen_dbg)
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	dh_compress -p$(pkg) boot/gnumach-$(VERSION)-$(MACHINE)
+	dh_compress -p$(pkg_xen) boot/gnumach-$(VERSION)-xen-$(MACHINE)
+ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	dh_compress -p$(pkg_udeb) boot/gnumach
-	dh_compress -p$(pkg_xen) boot/gnumach-$(VERSION)-xen-$(MACHINE)
 	dh_compress -p$(pkg_xen_udeb) boot/gnumach
+endif
 	dh_compress -p$(pkg_dbg) boot/gnumach-$(VERSION)-$(MACHINE)-dbg
-	dh_compress -p$(pkg_xen_dbg) boot/gnumach-$(VERSION)-xen-$(MACHINE)-dbg
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-.PHONY: build build-arch build-indep clean
-.PHONY: install binary binary-indep binary-arch
-
