=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.cvs\d+$// \
http://ftp.gnu.org/gnu/gnumach/	gnumach-(.*)\.tar\.gz	debian	uupdate
